openSUSE 安全更新:nss-201112 (openSUSE-SU-2012:0030-1) (BEAST)

high Nessus 插件 ID 75685
全新!漏洞优先级评级 (VPR)

Tenable 测算每个漏洞的动态 VPR。VPR 将漏洞信息与威胁情报和机器学习算法相结合,预测哪些漏洞最有可能在攻击中被利用。了解详细信息: VPR 的定义及其与 CVSS 的区别。

VPR 得分: 5.9

简介

远程 openSUSE 主机缺少安全更新。

描述

Mozilla NSS 库已更新到版本 3.13.1,修复了多种缺陷和安全问题。

修复了以下安全问题:

- 默认情况下禁用 SSL 2.0

- 默认启用针对 Rizzo 和 Duong (CVE-2011-3389) 演示的 SSL 3.0 和 TLS 1.0 CBC 选定明文攻击的防范。将 SSL_CBC_RANDOM_IV SSL 选项设为 PR_FALSE 以将其禁用。
bnc#

- 支持 SHA-224

- NSS_NoDB_Init 不会再尝试打开 /pkcs11.txt 和 /secmod.db(bmo#641052、bnc#726096)(CVE-2011-3640)

还修复了以下缺陷:

- 修复了 qemu-workaround 的 spec 文件语法

- 添加了用于修复 pkcs11n.h 标头文件中的错误的修补程序。(bmo#702090)

- 改进 SHA-224 支持 (bmo#647706)

- 支持 SHA-224

- 添加了 PORT_ErrorToString 和 PORT_ErrorToName 以返回 NSS 错误代码的错误消息和符号名称。

- 添加了 NSS_GetVersion 以返回 NSS 版本字符串。

- 仅对软令牌添加了 RSA-PSS 的试验性支持

解决方案

更新受影响的 nss-201112 程序包。

另见

https://bugzilla.novell.com/show_bug.cgi?id=726096

https://lists.opensuse.org/opensuse-updates/2012-01/msg00009.html

https://lists.opensuse.org/opensuse-updates/2012-01/msg00021.html

插件详情

严重性: High

ID: 75685

文件名: suse_11_3_nss-201112-111220.nasl

版本: 1.6

类型: local

代理: unix

发布时间: 2014/6/13

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

风险因素: High

VPR 得分: 5.9

CVSS v2.0

基本分数: 9.3

矢量: AV:N/AC:M/Au:N/C:C/I:C/A:C

漏洞信息

CPE: p-cpe:/a:novell:opensuse:libfreebl3, p-cpe:/a:novell:opensuse:libfreebl3-32bit, p-cpe:/a:novell:opensuse:libsoftokn3, p-cpe:/a:novell:opensuse:libsoftokn3-32bit, p-cpe:/a:novell:opensuse:mozilla-nss, p-cpe:/a:novell:opensuse:mozilla-nss-32bit, p-cpe:/a:novell:opensuse:mozilla-nss-certs, p-cpe:/a:novell:opensuse:mozilla-nss-certs-32bit, p-cpe:/a:novell:opensuse:mozilla-nss-devel, p-cpe:/a:novell:opensuse:mozilla-nss-sysinit, p-cpe:/a:novell:opensuse:mozilla-nss-sysinit-32bit, p-cpe:/a:novell:opensuse:mozilla-nss-tools, cpe:/o:novell:opensuse:11.3

必需的 KB 项: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

补丁发布日期: 2011/12/20

参考资料信息

CVE: CVE-2011-3389, CVE-2011-3640